#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,512,576,640,704,1472,2944
 * N : 25,128,192,256,320,512,576,640,704,1472,2944
 * NB : 4,8,8,32,40,28,24,20,64,64,64
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 4; \
   else if ((n_) < 224) (nb_) = 8; \
   else if ((n_) < 288) (nb_) = 32; \
   else if ((n_) < 416) (nb_) = 40; \
   else if ((n_) < 544) (nb_) = 28; \
   else if ((n_) < 608) (nb_) = 24; \
   else if ((n_) < 672) (nb_) = 20; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
