#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,288,576,624,720,864,1152,1440,1488,1536,1584,1632,1680,1728,2352,4752
 * N : 25,144,288,576,624,720,864,1152,1440,1488,1536,1584,1632,1680,1728,2352,4752
 * NB : 4,60,52,40,92,60,60,72,48,88,80,96,112,128,136,120,96
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 84) (nb_) = 4; \
   else if ((n_) < 216) (nb_) = 60; \
   else if ((n_) < 432) (nb_) = 52; \
   else if ((n_) < 600) (nb_) = 40; \
   else if ((n_) < 672) (nb_) = 92; \
   else if ((n_) < 1008) (nb_) = 60; \
   else if ((n_) < 1296) (nb_) = 72; \
   else if ((n_) < 1464) (nb_) = 48; \
   else if ((n_) < 1512) (nb_) = 88; \
   else if ((n_) < 1560) (nb_) = 80; \
   else if ((n_) < 1608) (nb_) = 96; \
   else if ((n_) < 1656) (nb_) = 112; \
   else if ((n_) < 1704) (nb_) = 128; \
   else if ((n_) < 2040) (nb_) = 136; \
   else if ((n_) < 3552) (nb_) = 120; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
